
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android NavigationController 右滑手势详解_IOS / iVAN</title>

    <meta name="description" content="Android NavigationController 右滑手势详解_IOS 苹果一直都在人机交互中尽力做到极致,在iOS7中,新增加了一个小小的功能,也就是这个api:self.navigationController.interactivePopGestureRecognizer.enabled = YES; 这个api功能就是在NavigationController堆栈内的UIViewController可以支持右滑手势,也就是不用点击右上角的返回按钮,轻轻在屏幕左边一滑,屏幕就会返回,随着ios设备屏幕的增大,这个小功能让手指短,拇指大和手残人士看到了福音. 这">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android NavigationController 右滑手势详解_IOS</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>苹果一直都在人机交互中尽力做到极致，在iOS7中，新增加了一个小小的功能，也就是这个api：self.navigationController.interactivePopGestureRecognizer.enabled = YES;</p>
<p>这个api功能就是在NavigationController堆栈内的UIViewController可以支持右滑手势，也就是不用点击右上角的返回按钮，轻轻在屏幕左边一滑，屏幕就会返回，随着ios设备屏幕的增大，这个小功能让手指短，拇指大和手残人士看到了福音。</p>
<p>这个功能是好，但是经常我们会有需求定制返回按钮，如果手动定制了返回按钮，这个功能将会失效，也就是自定义了navigationItem的leftBarButtonItem，那么这个手势就会失效。</p>
<p>解决方法找到两种</p>
<p><strong>1.重新设置手势的delegate</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>self.navigationController.interactivePopGestureRecognizer.delegate = (id)self;</p>
<p><strong>2.当然你也可以自己响应这个手势的事件</strong></p>
<p><u>复制代码</u> 代码如下:</p>
<p>[self.navigationController.interactivePopGestureRecognizer addTarget:self action:@selector(handleGesture:)];</p>
<p>有更多方法以后继续补充，这里可以根据自己需要进行选择，如果只是简单定制了返回按钮，第一种最简单，一句代码搞定。</p>
<p>问题二：ios开发 向右滑动手势实现返回.在NavigationController中如何设置</p>
<p>在navigationController中实现向右滑动 返回功能</p>
<p>系统提供的backbarbuttonitem,不用添加任何代码即可实现向右滑动后退功能,但是往往要对按钮修改样式等时,就需要自定义leftbarbuttonitem,此时向右滑动即失效.通过下面方法即可解决该问题.(本人亲自实验过)</p>
<p>主要是通过设置navigationController.interactivePopGestureRecognizer 此手势的一些属性,此手势大家可以通过sdk查看说明,这里不细说</p>
<p><strong>1. self.navigationController.interactivePopGestureRecognizer.enabled = YES | NO;      手势有效与否</strong></p>
<p><strong>2. self.navigationController.interactivePopGestureRecognizer.delegate = self;               手势的代理,一般会设置为self</strong></p>
<p>1中的属性,再viewcontroller中默认的设置为YES,即手势有效.按照2中的属性设置后,当前的viewcontroller即可以实现该向右滑动后退功能,但是当回到navigationController的rootView中再次做出向右滑动时,程序会有问题(再次push子controller时,程序卡在当前界面无法跳转).有效解决方案如下:</p>
<p>说明:有两个controllerA,B</p>
<pre>
navigationController的rootview设置为A,在A中点击按钮后push B.在A的 -(void)viewDidAppear:(BOOL)animated方法中加入self.navigationController.interactivePopGestureRecognizer.enabled = NO;代码如下:
- (void)viewDidAppear:(BOOL)animated
{
  if ([[[UIDevice currentDevice] systemVersion] floatValue] &gt;= 7.0) {
    self.navigationController.interactivePopGestureRecognizer.enabled = NO;  //让rootView禁止滑动
  }
}</pre>
<p><strong>然后再B中的- (void)viewDidLoad方法中加入</strong></p>
<pre>
- (void)viewDidLoad
{
  // 配置返回按钮
  UIBarButtonItem * backItem = [self barButtonForImageNames:@[@"icon-返回", @"", @""] action:@selector(popBack)];
  backItem.title = @"";
  if ([[[UIDevice currentDevice] systemVersion] floatValue] &gt;= 7.0) {
    self.navigationController.interactivePopGestureRecognizer.enabled = YES;
    self.navigationController.interactivePopGestureRecognizer.delegate = self;
  }
  self.navigationItem.leftBarButtonItem = backItem;

  if ([[[UIDevice currentDevice] systemVersion] floatValue]
 &gt;= 7.0) {

    self.navigationController.interactivePopGestureRecognizer.delegate = self;
  }
}</pre>
<p>这样即可以保证再A中向右滑动后再次pushB时不会卡在A界面.</p>
<p>再项目中大家一般会创建风格统一的界面,一般都会创建一个基础viewcontroller,再此viewcontroller扩展一个配置leftbarbutton的方法,在该方法中加入B的viewDidLoad中的代码,这样在创建leftbarbutton的同时,直接加了返回的操作(不用每个viewController中都加入这样一段代码).然后只在navigationController的rootView中加入A的(void)viewDidAppear:(BOOL)animated方法即可.</p>
<p>以上内容是Android NavigationController 右滑手势详解，希望大家喜欢。</p>
<p>以上是小编为您精心准备的的内容，在的博客、问答、公众号、人物、课程等栏目也有的相关内容，欢迎继续使用右上角搜索按钮进行搜索NavigationController<br />
                                    ios向右滑动手势<br />
                                    navigationcontroller、unity navigation详解、navigationview详解、uiviewcontroller详解、nsviewcontroller详解，以便于您获取更多的相关知识。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-18 20:47:26</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/navigationcontroller/" title="NavigationController">NavigationController</a>, <a href="https://www.iamivan.net/tag/ios%e5%90%91%e5%8f%b3%e6%bb%91%e5%8a%a8%e6%89%8b%e5%8a%bf/" title="ios向右滑动手势">ios向右滑动手势</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android NavigationController 右滑手势详解_IOS的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bQ1aB0b.html" rel="bookmark">iOS开发之手势gesture详解&lowbar;IOS</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言 在iOS中,你可以使用系统内置的手势识别(GestureRecognizer),也可以创建自己的手势.GestureRecognizer将低级别的转换为高级别的执行行为,是你绑定到view的对象,当发生手势,绑定到的view对象会响应,它确定这个动作是否对应一个特定的手势(swipe,pinch,pan,rotation).如果它能识别这个手势,那么就会向绑定它的view发送消息,如下图 UIKit框架提供了一些预定义的GestureRecognizer.包含下列手势 UITapGestu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mx7OeRb.html" rel="bookmark">Android Design Support Library使用详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android Design Support Library使用详解 Google在2015的IO大会上,给我们带来了更加详细的Material Design设计规范,同时,也给我们带来了全新的Android Design Support Library,在这个support库里面,Google给我们提供了更加规范的MD设计风格的控件.最重要的是,Android Design Support Library的兼容性更广,直接可以向下兼容到Android 2.2.这不得不说是一个良心之作. 使用S			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pd7yjxM.html" rel="bookmark">Android中的Compass&lpar;罗盘&rpar; 详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Compass(罗盘)是一个定制的视图, 继承View类, 重写了视图的边界(onMeasure)和内容(onDraw); 如图: 以下是Compass的具体设计: 1. 创建CompassView类, 罗盘视图 位置: java-&gt;package-&gt;CompassView package mzx.spike.compass.app; import android.content.Context; import android.content.res.Resources; import and			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/balZYQz.html" rel="bookmark">android 显示gif图片实例详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  android 显示gif图片实例详解           在android中不支持gif格式的图片,但是由于我希望在我的程序中刚刚加载的时候有一个小人在跑步表示正在加载.而这个小人跑就是一个gif图片.也就是希望程序一启动时就加载gif图片.在网上查找了一些方法不知道是我使用的android的版本高(android4.4)还是什么问题就是加载不出来.最后想了一个办法加载了出来.这个办法就是将gif放在webView中让其显示. 下面是关于这个的代码: activity_prepare_fu			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY2799p.html" rel="bookmark">Android中Service&lpar;后台服务&rpar;详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				  这篇文章主要介绍了Android中Service(后台服务)详解,本文讲解了Service的概念.作用.生命周期.启动方式和代码实例等内容,需要的朋友可以参考下 1.概念: (1).Service可以说是一个在后台运行的Activity.它不是一个单独的进程,它只需要应用告诉它要在后台做什么就可以了. (2).它要是实现和用户的交互的话需要通过通知栏或者是通过发送广播,UI去接收显示. (3).它的应用十分广泛,尤其是在框架层,应用更多的是对系统服务的调用. 2.作用: (1).它用于处理一			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvGVJ1p.html" rel="bookmark">sweet alert dialog 在android studio应用问题说明详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				看到这个sweet-alert-dialog很亲切,因为前端开发本人用的提示就是这个js插件,java牛人很厉害,直接弄成一个java包插件,Good! 下面记录如何引用到工程,并使用: sweet-alert-dialog插件可以直接到github上下载 地址:https://github.com/pedant/sweet-alert-dialog 或者直接到发布好的页面下载: https://github.com/pedant/sweet-alert-dialog/releases 我下载的			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MlB5xqz.html" rel="bookmark">Android pdf viewer在android studio应用问题说明详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				之前一直是做.NET开发的,最近需要弄一个新闻app,能力有限,只能借助HTML5 WebAPP+android studio来完成这项工作. android studio主要用WebView来加载发布好的WebApp,打包生产APP. 其中由于显示一些pdf文档,所以研究了一下,记录一下心得,同时也希望帮助到新手们. android 显示网络pdf,基本原理:先将pdf文件通过DownloadManager下载到手机sdk某个文件夹中,然后通过android-pdf-viewer插件进行显示.			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvrR7VM.html" rel="bookmark">Android中HorizontalScrollView使用方法详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				由于移动设备物理显示空间一般有限,不可能一次性的把所有要显示的内容都显示在屏幕上.所以各大平台一般会提供一些可滚动的视图来向用户展示数据.Android平台框架中为我们提供了诸如ListView.GirdView.ScrollView等滚动视图控件,这几个视图控件也是我们平常使用最多的.下面介绍一下HorizontalScrollView的使用和需要注意的点:  HorizontalScrollView是一个FrameLayout  ,这意味着你只能在它下面放置一个子控件,这个子控件可以包含很多			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p8k2m4M.html" rel="bookmark">Android编程之SurfaceView实例详解&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了Android编程之SurfaceView用法.分享给大家供大家参考,具体如下: 关于surfaceView相关知识: View和SurfaceView主要区别: 1. View只能在UI线程中刷新,而SurfaceView可以在子线程中刷新 2. SurfaceView可以控制刷新频率 SurfaceView几个重要的方法: 1. 继承SurfaceView 后调用getHolder()方法可以获取到mSurfaceHolder对象这个对于可以控制SurfaceView的绘制 2			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/rz40jYz.html" rel="bookmark" class="title">用色彩打造专业的视觉效果</a>
					<div>
						上周看到这篇文章,很有收获.色彩的使用无论是在网站还是工作各个环节的沟通都很重要.好的色彩可以让用户更舒服,更愉悦,同时营造更好的气氛.但同时很多问题需要在产品设计环节就该解决,否则会遗留到视觉设计并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xpnQ40M.html" rel="bookmark" class="title">用 ASP 编写简单的日流量，最大日流量统计</a>
					<div>
						流量|统计 用 ASP 编写简单的日流量,最大日流量统计------------------------------------------------------------------------ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybjkGNM.html" rel="bookmark" class="title">VB&period;net进阶&colon;VB&period;net下的Sniffer</a>
					<div>
						改写后的代码分成两部分:Receiver,用来侦听:PacketInfo,对数据包进行简单的解析.数据包的内容是通过Receiver的DataReceived事件返回来的.每个函数都不长,容易看懂,注 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p8jLG4b.html" rel="bookmark" class="title">asp&period;net显示自己的网页图标的几种方式</a>
					<div>
						  多tab的浏览器,你一定会发现tab前边的个性图标,关于这个东西有好几种做法,下面与大家分享下 如果你是用IE7以上的版本,或者用多tab的浏览器,你一定会发现tab前边的个性图标,这个是怎么弄的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yXAoz.html" rel="bookmark" class="title">办公室文员、助理都可以学学</a>
					<div>
						Word绝招: 一. 输入三个&quot;=&quot;,回车,得到一条双直线; 二. 输入三个&quot;~&quot;,回车,得到一条波浪线; 三. 输入三个&quot;*&quot;或 &quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z42ea8M.html" rel="bookmark" class="title">Win8系统下安装杀毒软件失败的原因和解决方法</a>
					<div>
						  很多用户都会在安装完系统第一时间安装杀毒软件来保证系统的安全,但是,很多朋友都遇到无法安装杀毒软件的情况,相比win8一下系统来说,win8系统下似乎并不对杀毒软件欢迎,那么造成杀毒软件安装失败的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bo7ejvb.html" rel="bookmark" class="title">新浪微博如何搜索我发布的微博？</a>
					<div>
						  有两种方式可以搜索自己发布的微博: 1.进入个人微博页面,在搜索栏中输入想要搜索的内容即可; 2.使用微博搜索-高级搜索,在昵称中输入自己的昵称,搜索出来的内容即为自己所发布的内容. 文章&quo ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pLa3DZz.html" rel="bookmark" class="title">覆盖安装Win7系统后需要做的一些善后工作</a>
					<div>
						当用户覆盖安装Win7 32位旗舰版系统时,没有C盘格式化,安装程序就会提示用户保留原来的系统为一个文件夹,但安装完成是不能登录之前那个系统的.但是每次登录系统界面时,都是会出现两个系统供用户选择系统 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/badJvNz.html" rel="bookmark" class="title">MAC系统上怎么设置打印服务器？</a>
					<div>
						  MAC是苹果的专用系统,不同于windows系统的操作,下面我们来看看如何在MAC系统上设置打印服务器. 1.以下为通常情况下使用打印服务器的网络结构图. 2.由于打印服务器的默认IP地址为192 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWw01p.html" rel="bookmark" class="title">Android实现中国象棋附源码下载&lowbar;Android</a>
					<div>
						象棋,很多人多接触过,学者写了一个,大神可以指点一下~直接上代码: 贴出主要代码,想要Demo的点击下载:中国象棋Demo package wyf.ytl; import android.conten ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boReVXz.html" rel="bookmark" class="title">天猫魔盒1S：电视购物新体验</a>
					<div>
						     互联网电视盒(通称盒子)是传统电视改良过渡中重要的一环,可以让呆板乏味的传统电视接入互联网,获取丰富的视频资源,很合时宜地迎合了时下人们的需求.然而这并不意味着内容资源是衡量盒子的主要标准, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQGdVp.html" rel="bookmark" class="title">UWP入门（五）--控件模板</a>
					<div>
						原文:UWP入门(五)--控件模板 通过在 XAML 框架中创建控件模板,你可以自定义控件的可视结构和可视行为(eg:勾选框的三种状态). 控件有多个属性,如 Background.Foregroun ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze6QgOb.html" rel="bookmark" class="title">android-ListView嵌套Gallery并使gallery定时滑动</a>
					<div>
						问题描述 ListView嵌套Gallery并使gallery定时滑动 android开发怎么实现ListView嵌套Gallery并使gallery定时滑动或者怎么去实现这一类的效果 解决方案 li ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRq0Q3b.html" rel="bookmark" class="title">javaweb-ckeditor中的内容不能提交的问题</a>
					<div>
						问题描述 ckeditor中的内容不能提交的问题 表单中的数据除了ckeditor中的内容,其他都能提交,我查了一下,但是按照哪些方法写还是 得不到值.链接如下 我的代码片段如下 &lt;input  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV0wkBM.html" rel="bookmark" class="title">ORACLE 中ROWNUM用法总结&excl;</a>
					<div>
						ORACLE 中ROWNUM用法总结! 对于 Oracle 的 rownum 问题,很多资料都说不支持&gt;,&gt;=,=,between...and,只能用以上符号(&lt;.&lt;=.!=) ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6Z0EAM.html" rel="bookmark" class="title">c&plus;&plus;-跪求大神帮忙写出程序啊～。</a>
					<div>
						问题描述 跪求大神帮忙写出程序啊-. 大神??啊??朋友给我个题?我真作难了??是这样?: 有29组数字??,选任意8组为一组? 要求 1.?求这8组中共有的数字 ?2.要除掉 12345678 23 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY590VM.html" rel="bookmark" class="title">揭开&period;NET 2&period;0配置之谜（二）</a>
					<div>
						声明:此文是译文,原文是Jon Rista,Unraveling the Mysteries of .NET 2.0 Configuration,由于这篇文章比较长,所以我就分为几部分来翻译,这是此译 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKDVjb.html" rel="bookmark" class="title">通过LogShipper对接数据仓库</a>
					<div>
						日志服务LogShipper功能可以便捷地将日志数据投递到OSS.TableStore.MaxCompute等存储类服务,配合E-MapReduce(Spark.Hive).MaxCompute进行离 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z40nJ8z.html" rel="bookmark" class="title">apache启用mod&lowbar;deflate的GZIP压缩网页传输方法</a>
					<div>
						gzip原本是文件压缩格式,扩展名为.gz,HTTP协议用它来改进WEB应用程序性能,加快HTTP请求返回内容的下载速度,增加用户体验,降低网络带宽占用 apache内置有mod_deflate模块来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqeR4b.html" rel="bookmark" class="title">html中的js出现的问题</a>
					<div>
						问题描述 html中的js出现的问题 document.getElementsByTagName(&quot;h1&quot;)[0] 是什么意思 解决方案 得到html文档中第一个h1元素. 解决方 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b3JLnmz.html" rel="bookmark" class="title">鹰眼：从电信诈骗入手，解决用户关乎&OpenCurlyDoubleQuote;身家性命&rdquo;的大事</a>
					<div>
						首先,来看看2015年有关我国电信诈骗案件的一些消息: 2015年3月28日下午5点多,女教师方某怀揣一张自证清白的字条,在普兰店市普湾新区九七立交桥附近一小区楼上跳下,结束了自己的生命,原因竟是涉嫌 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYNXJQp.html" rel="bookmark" class="title">Lua脚本语言入门笔记&lowbar;Lua</a>
					<div>
						什么是Lua Lua 是一个小巧的脚本语言.是巴西里约热内卢天主教大学(Pontifical Catholic University of Rio de Janeiro)里的一个研究小组,由Rober ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNvnaNM.html" rel="bookmark" class="title">Docker 清理命令集锦&lowbar;docker</a>
					<div>
						杀死所有正在运行的容器 复制代码 代码如下: docker kill $(docker ps -a -q)  删除所有已经停止的容器 复制代码 代码如下: docker rm $(docker ps  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWggdz.html" rel="bookmark" class="title">浅谈Javascript中的12种DOM节点类型&lowbar;javascript技巧</a>
					<div>
						前言 DOM的作用是将网页转为一个javascript对象,从而可以使用javascript对网页进行各种操作(比如增删内容).浏览器会根据DOM模型,将HTML文档解析成一系列的节点,再由这些节点组 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn80VKb.html" rel="bookmark" class="title">MySQL查询倒数第二条记录实现方法&lowbar;Mysql</a>
					<div>
						有时候会用到查询倒数第二条记录 复制代码 代码如下: last=HolderChangeHistory.find_by_sql ([&quot;               SELECT * FROM ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MR1GKBb.html" rel="bookmark" class="title">怎么清除sql server日志</a>
					<div>
						方法1:第一步:backup log database_name with no_log 或者 backup log database_name with truncate_only --no_log ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKqWkdp.html" rel="bookmark" class="title">离线存储-indexeddb复合查询问题</a>
					<div>
						问题描述 indexeddb复合查询问题 问题描述: indexeddb用index筛选条件,我在index上添加了两个字段,如下代码: var userStore = db.createObject ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba6X1XM.html" rel="bookmark" class="title">请教SpagoBi？</a>
					<div>
						问题描述 有谁用过SpagoBi,小弟请教?看了快一个星期,都还没摸熟悉?谁有相关的资料..我QQ254882645 解决方案 解决方案二:再次请教SpagoBi解决方案三:再次请教SpagoBi					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MxgWJyb.html" rel="bookmark" class="title">2014省会城市吃喝玩乐指数</a>
					<div>
						在国内城市中,成都一向以&quot;休闲之都&quot;闻名,而根据大众点评网最新发布的&quot;2014省会城市吃喝玩乐指数&quot;,成都的这个名号绝对是名不虚传.在综合网站自有数据的基础上, ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zG3Bdvz.html" rel="bookmark" class="title">4000家&OpenCurlyDoubleQuote;嘿客&rdquo;可提供售卖、快递、维修等综合服务</a>
					<div>
						走进农村开设代理店.下调市区运费.线下518家&quot;嘿客&quot;同时开张--在快递业内人士看来,一贯低调务实的顺丰突然变得高调起来,背后一定有大事发生. 悄然撒下O2O棋子 &quot;年内 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 12 q. 0.027 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
